#! /bin/sh

main() {

LOG_FILE=$1
DRIVER_LIB=$2
DRIVER=$3
URL=$4
USER_ID=$5
PASSWORD=$6
CHECK_DB_SQL=$7

URL=`echo "${URL}" | sed -e "s/@equal@/=/g"`
CHECK_DB_SQL=`echo "${CHECK_DB_SQL}" | sed -e "s/\\\\\\\\/ /g"`

ant -Dlib="${DRIVER_LIB}" -Ddriver="${DRIVER}" -Durl="${URL}" -DuserId="${USER_ID}" -Dpassword="${PASSWORD}" -Dsql="${CHECK_DB_SQL}" -f "${SCRIPTS_DIR}sql.xml" 1>/dev/nul 2>>"${LOG_FILE}"
EXIT_CODE=$?
if [ "${EXIT_CODE}" = "0" ]; then
	exit 0
else
	echo データベースの接続に失敗しました。
	echo 下記の事項を確かめ、再度実行してください。
	echo 1.接続先のデータベースが起動しているかどうか。
	echo 2.DB接続用ライブラリが｢${DRIVER_LIB}｣に存在するかどうか。
	echo 3.接続先情報が正しいかどうか。
	echo  driver : ${DRIVER}
	echo  url : ${URL}
	echo  user_id : ${USER_ID}
	echo  password : ${PASSWORD}
	echo  ライブラリ : ${DRIVER_LIB}
	echo  DB生存チェック用SQL : ${CHECK_DB_SQL}
	echo 4.エラーログは、｢${LOG_FILE}｣を参照してください。
	exit 1
fi

}

main $*
